﻿using System;
using System.Runtime.InteropServices;

namespace MupdfSharp
{
    public class NativeMethods
    {
        const string DLL = "libmupdf.dll";

        [DllImport(DLL, EntryPoint = "fz_new_context")]
        public static extern IntPtr NewContext(IntPtr alloc, IntPtr locks, uint max_store);

        [DllImport(DLL, EntryPoint = "fz_free_context")]
        public static extern IntPtr FreeContext(IntPtr ctx);

        [DllImport(DLL, EntryPoint = "fz_open_file_w", CharSet = CharSet.Unicode)]
        public static extern IntPtr OpenFile(IntPtr ctx, string fileName);

        [DllImport(DLL, EntryPoint = "fz_open_document_with_stream")]
        public static extern IntPtr OpenDocumentStream(IntPtr ctx, string magic, IntPtr stm);

        [DllImport(DLL, EntryPoint = "fz_close")]
        public static extern IntPtr CloseStream(IntPtr stm);

        [DllImport(DLL, EntryPoint = "fz_close_document")]
        public static extern IntPtr CloseDocument(IntPtr doc);

        [DllImport(DLL, EntryPoint = "fz_count_pages")]
        public static extern int CountPages(IntPtr doc);

        [DllImport(DLL, EntryPoint = "fz_bound_page")]
        public static extern Rectangle BoundPage(IntPtr doc, IntPtr page);

        [DllImport(DLL, EntryPoint = "fz_clear_pixmap_with_value")]
        public static extern void ClearPixmap(IntPtr ctx, IntPtr pix, int byteValue);

        [DllImport(DLL, EntryPoint = "fz_find_device_colorspace")]
        public static extern IntPtr FindDeviceColorSpace(IntPtr ctx, string colorspace);

        [DllImport(DLL, EntryPoint = "fz_free_device")]
        public static extern void FreeDevice(IntPtr dev);

        [DllImport(DLL, EntryPoint = "fz_free_page")]
        public static extern void FreePage(IntPtr doc, IntPtr page);

        [DllImport(DLL, EntryPoint = "fz_load_page")]
        public static extern IntPtr LoadPage(IntPtr doc, int pageNumber);

        [DllImport(DLL, EntryPoint = "fz_new_draw_device")]
        public static extern IntPtr NewDrawDevice(IntPtr ctx, IntPtr pix);

        [DllImport(DLL, EntryPoint = "fz_new_pixmap")]
        public static extern IntPtr NewPixmap(IntPtr ctx, IntPtr colorspace, int width, int height);

        [DllImport(DLL, EntryPoint = "fz_run_page")]
        public static extern void RunPage(IntPtr doc, IntPtr page, IntPtr dev, Matrix transform, IntPtr cookie);

        [DllImport(DLL, EntryPoint = "fz_drop_pixmap")]
        public static extern void DropPixmap(IntPtr ctx, IntPtr pix);

        [DllImport(DLL, EntryPoint = "fz_pixmap_samples")]
        public static extern IntPtr GetSamples(IntPtr ctx, IntPtr pix);

    }
}
